CVE-2020-26664

MEDIUM

Description

A vulnerability in EbmlTypeDispatcher::send in VideoLAN VLC media player 3.0.11 allows attackers to trigger a heap-based buffer overflow via a crafted .mkv file.

References

http://videolan.com

http://vlc.com

https://gist.githubusercontent.com/henices/db11664dd45b9f322f8514d182aef5ea/raw/d56940c8bf211992bf4f3309a85bb2b69383e511/CVE-2020-26664.txt

https://security.gentoo.org/glsa/202101-37

https://www.debian.org/security/2021/dsa-4834

Details

Source: MITRE

Published: 2021-01-08

Updated: 2021-02-19

Type: CWE-787

Risk Information

CVSS v2.0

Base Score: 6.8

Vector: AV:N/AC:M/Au:N/C:P/I:P/A:P

Impact Score: 6.4

Exploitability Score: 8.6

Severity: MEDIUM

CVSS v3.0

Base Score: 7.8

Vector: CVSS:3.1/AV:L/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H

Impact Score: 5.9

Exploitability Score: 1.8

Severity: HIGH

Tenable Plugins

View all (5 total)

IDNameProductFamilySeverity
146102VLC < 3.0.12 Buffer OverflowNessusMisc.
medium
145566GLSA-202101-37 : VLC: Buffer overflowNessusGentoo Local Security Checks
medium
145397Debian DSA-4834-1 : vlc - security updateNessusDebian Local Security Checks
medium
145328openSUSE Security Update : vlc (openSUSE-2021-91)NessusSuSE Local Security Checks
medium
145292openSUSE Security Update : vlc (openSUSE-2021-76)NessusSuSE Local Security Checks
medium